{
  "codeName" : "Tree04",
  "controlType" : "TREEVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003/PSTREEVIEWS/Tree04.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "树视图（右键操作）",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
  },
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "topdata_cm_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "topdata_cm_deuiaction1"
    },
    "getPSViewCtrlName" : "topdata_cm"
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "topdata_cm_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "RefreshAll"
    },
    "xDataControlName" : "treeexpbar_tree"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE",
    "logicTag" : "treeexpbar_tree",
    "logicType" : "CUSTOM",
    "name" : "treeexpbar_selectionchange"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "treeexpbar_tree",
    "logicType" : "CUSTOM",
    "name" : "treeexpbar_load"
  } ],
  "getPSControls" : [ {
    "codeName" : "F4TreeExpViewtopdata_cm",
    "controlType" : "CONTEXTMENU",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "右键-编辑",
    "name" : "topdata_cm",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "topdata_cm",
      "logicType" : "APPVIEWLOGIC",
      "name" : "topdata_cm_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "topdata_cm_deuiaction1_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "topdata_cm"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "刷新全部",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "topdata_cm_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf021@FontAwesome",
        "cssClass" : "fa fa-refresh"
      },
      "getPSUIAction" : {
        "caption" : "刷新",
        "codeName" : "RefreshAll",
        "fullCodeName" : "RefreshAll",
        "name" : "树界面_刷新全部操作",
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "predefinedType" : "TREEVIEW_REFRESHALLACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "RefreshAll",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "刷新全部",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "e9e8370e8e72cebca69053d3cc660c32",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDETreeNodeRSs" : [ {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "curdata"
    },
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "topdata"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "topdata"
    },
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "root"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "curdata"
    },
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "curdata"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  } ],
  "getPSDETreeNodes" : [ {
    "counterMode" : 0,
    "getIdPSAppDEField" : {
      "name" : "IBIZSAMPLE0003ID",
      "codeName" : "IBIZSAMPLE0003Id"
    },
    "maxSize" : -1,
    "name" : "顶级节点",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003GridView.json",
      "viewType" : "DEGRIDVIEW"
    },
    "nodeType" : "topdata",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchTopData"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
    },
    "getPSDEContextMenu" : {
      "codeName" : "F4TreeExpViewtopdata_cm",
      "controlType" : "CONTEXTMENU",
      "hookEventNames" : [ "CLICK" ],
      "logicName" : "右键-编辑",
      "name" : "topdata_cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
      },
      "getPSControlLogics" : [ {
        "eventArg" : "deuiaction1",
        "eventNames" : "CLICK",
        "logicTag" : "topdata_cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "topdata_cm_deuiaction1_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "topdata_cm_deuiaction1_click"
        }
      } ],
      "getPSControlParam" : {
        "id" : "topdata_cm"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "刷新全部",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "topdata_cm_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "caption" : "刷新",
          "codeName" : "RefreshAll",
          "fullCodeName" : "RefreshAll",
          "name" : "树界面_刷新全部操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "TREEVIEW_REFRESHALLACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "RefreshAll",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新全部",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "e9e8370e8e72cebca69053d3cc660c32",
      "modeltype" : "PSDETOOLBAR"
    },
    "getPSDETreeNodeRVs" : [ {
      "name" : "EDITDATA",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSNavigateContexts" : [ {
      "key" : "CONTEXTPARAM1",
      "name" : "CONTEXTPARAM1",
      "value" : "memo",
      "rawValue" : false
    } ],
    "getPSNavigateParams" : [ {
      "key" : "memo",
      "name" : "memo",
      "value" : "memo",
      "rawValue" : false
    }, {
      "key" : "n_pibizsample0003id_eq",
      "name" : "n_pibizsample0003id_eq",
      "value" : "nodeid",
      "rawValue" : false
    } ],
    "getPSSysImage" : {
      "glyph" : "xf0ca@FontAwesome",
      "cssClass" : "fa fa-list-ul"
    },
    "getTextPSAppDEField" : {
      "name" : "IBIZSAMPLE0003NAME",
      "codeName" : "IBIZSAMPLE0003Name"
    },
    "treeNodeType" : "DE",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "topdata"
  }, {
    "counterMode" : 0,
    "getIdPSAppDEField" : {
      "name" : "IBIZSAMPLE0003ID",
      "codeName" : "IBIZSAMPLE0003Id"
    },
    "maxSize" : -1,
    "name" : "下级节点",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003GridView.json",
      "viewType" : "DEGRIDVIEW"
    },
    "nodeType" : "curdata",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchCurData"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0003.json"
    },
    "getPSDETreeNodeRVs" : [ {
      "name" : "EDITDATA",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0003EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSNavigateParams" : [ {
      "key" : "n_pibizsample0003id_eq",
      "name" : "n_pibizsample0003id_eq",
      "value" : "nodeid",
      "rawValue" : false
    } ],
    "getPSSysImage" : {
      "glyph" : "xf151@FontAwesome",
      "cssClass" : "fa fa-toggle-up"
    },
    "getTextPSAppDEField" : {
      "name" : "IBIZSAMPLE0003NAME",
      "codeName" : "IBIZSAMPLE0003Name"
    },
    "treeNodeType" : "DE",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "curdata"
  }, {
    "counterMode" : 0,
    "name" : "root",
    "nodeType" : "root",
    "nodeValue" : "root",
    "text" : "root",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : true,
    "selectFirstOnly" : false,
    "selected" : false
  } ],
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "treeGridMode" : 0,
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "enableRootSelect" : false,
  "outputIconDefault" : true,
  "rootVisible" : false,
  "modelid" : "c231ac459de0397892b3ba25b965bbe7",
  "modeltype" : "PSDETREEVIEW"
}